## square square |

## Properties

gdouble | height | Read / Write
gdouble | width | Read / Write
gdouble | zoom | Read / Write

## Types and Values

struct | GstSquare

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstGeometricTransform
                                ╰── GstSquare

## Description

The square element distorts the center part of the image into a square.

### Example launch line

    1
    gst-launch-1.0 -v videotestsrc ! square zoom=100 ! videoconvert ! autovideosink

## Synopsis

### Element Information

plugin | geometrictransform
author | Filippo Argiolas <filippo.argiolas@gmail.com>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstSquare

    struct GstSquare;

## Property Details

### The `“height”` property

      “height”                   gdouble

Height of the square, relative to the frame height.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.5

### The `“width”` property

      “width”                    gdouble

Width of the square, relative to the frame width.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.5

### The `“zoom”` property

      “zoom”                     gdouble

Zoom amount in the center region.

Flags: Read / Write

Allowed values: [1,100]

Default value: 2

## See Also

geometrictransform